Page MenuHomePhabricator

Translatewiki.net translation import and export failures
Closed, ResolvedPublic

Description

This is a tracking task to keep translatewiki.net translation admins up to date about known export/import issues:

  • No known issues currently

Event Timeline

apps/android is failing too: https://gerrit.wikimedia.org/r/#/c/481643/ -- the -1 is after manually running recheck but patches uploaded to that repo by the bot ain't being tested.

apps/android is expected. They wanted manual review because invalid translations frequently cause build failures which they want to fix before merging.

I understand they want to manually merge but shouldn't jenkins at least test the code and vote on Verified?

Nikerabbit triaged this task as Medium priority.Jan 10 2019, 7:46 AM
Nikerabbit updated the task description. (Show Details)
Nikerabbit renamed this task from Translatewiki.net translation update commit failures to Translatewiki.net translation import and export failures.Feb 20 2019, 6:18 AM
Nikerabbit updated the task description. (Show Details)

Phabricator update failed with ssh: connect to host git-ssh.wikimedia.org port 22: Connection refused.

Phabricator update failed with ssh: connect to host git-ssh.wikimedia.org port 22: Connection refused.

Should be working again per [Wikitech-l] Phabricator upgrade window next Wednesday 00:00 UTC:

The good part is that the process to switch is now simplified and there was
basically no downtime for users besides the rarely used git-ssh service,
which is also fixed now.

Change 556182 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update host key for git-ssh.wikimedia.org

https://gerrit.wikimedia.org/r/556182

Change 556182 merged by jenkins-bot:
[translatewiki@master] Update host key for git-ssh.wikimedia.org

https://gerrit.wikimedia.org/r/556182

Noticed that we're having some random issues with reading repositories. This is happening with both Gerrit and Github.

fatal: Could not read from remote repository.                                                                                                                                                                  
  Please make sure you have the correct access rights                                                                                                                                                            
  and the repository exists.

On 6th this happened with, recommendation-api, mathjax, wikipedia-ios, waymarked-trails-site, wikiblame.

On 10th this happened with, wikiblame, recommendation-api, lime-docs, wikipedia-ios, wikipedia-kaios.

Exporting these projects manually worked fine.

Also FreeCol exports timed out on the 6th of Jan, 2020.

Filed T245437: Frequent access failures for l10n-bot for the fatals.

Failures for autoexport include: wmcz-tracker, wikiedudashboard, wiki-ai, libremesh and eol + a lot of more failures while I was running repomulti update.

Nikerabbit closed this task as Resolved.EditedJan 11 2021, 2:28 PM
Nikerabbit claimed this task.

This task has served its purpose. We do have fewer issues these days, and they are usually addressed quickly. We (translation admins) also keep each other updated through direct messages. There is also a separate task to track incidents.

EDIT: I can't spell.